using System;

internal sealed class Delegate875 : MulticastDelegate
{
	public extern RuntimeTypeHandle Invoke(object object_0);

	public static RuntimeTypeHandle smethod_0(object object_0, Delegate875 delegate875_1)
	{
		return delegate875_1(object_0);
	}

	public extern Delegate875(object object_0, IntPtr intptr_0);

	static Delegate875()
	{
		Class10.smethod_13(typeof(Delegate875).TypeHandle);
	}

	internal static Delegate875 delegate875_0;
}
